Log4j 1.2.9

## org.apache.log4j
Class Level

    java.lang.Object
      |
      +--org.apache.log4j.Priority
            |
            +--org.apache.log4j.Level

public class Level
extends Priority

Defines the minimum set of levels recognized by the system, that is `OFF`, `FATAL`, `ERROR`, `WARN`, `INFO</code, <code>DEBUG` and `ALL`.

The `Level` class may be subclassed to define a larger level set.

Author:
  Ceki Gülcü

Field Summary
`static Level` `ALL` The `ALL` has the lowest possible rank and is intended to turn on all logging.
`static Level` `DEBUG` The `DEBUG` Level designates fine-grained informational events that are most useful to debug an application.
`static Level` `ERROR` The `ERROR` level designates error events that might still allow the application to continue running.
`static Level` `FATAL` The `FATAL` level designates very severe error events that will presumably lead the application to abort.
`static Level` `INFO` The `INFO` level designates informational messages that highlight the progress of the application at coarse-grained level.
`static Level` `OFF` The `OFF` has the highest possible rank and is intended to turn off logging.
`static Level` `WARN` The `WARN` level designates potentially harmful situations.

Fields inherited from class org.apache.log4j.Priority
`ALL_INT, DEBUG_INT, ERROR_INT, FATAL_INT, INFO_INT, OFF_INT, WARN_INT`

Constructor Summary
`protected` `Level(int level, String levelStr, int syslogEquivalent)` Instantiate a Level object.

Method Summary
`static Level` `toLevel(int val)` Convert an integer passed as argument to a level.
`static Level` `toLevel(int val, Level defaultLevel)` Convert an integer passed as argument to a level.
`static Level` `toLevel(String sArg)` Convert the string passed as argument to a level.
`static Level` `toLevel(String sArg, Level defaultLevel)` Convert the string passed as argument to a level.

Methods inherited from class org.apache.log4j.Priority
`equals, getAllPossiblePriorities, getSyslogEquivalent, isGreaterOrEqual, toInt, toPriority, toPriority, toPriority, toPriority, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OFF

    public static final Level OFF

  The `OFF` has the highest possible rank and is intended to turn off logging.

### FATAL

    public static final Level FATAL

  The `FATAL` level designates very severe error events that will presumably lead the application to abort.

### ERROR

    public static final Level ERROR

  The `ERROR` level designates error events that might still allow the application to continue running.

### WARN

    public static final Level WARN

  The `WARN` level designates potentially harmful situations.

### INFO

    public static final Level INFO

  The `INFO` level designates informational messages that highlight the progress of the application at coarse-grained level.

### DEBUG

    public static final Level DEBUG

  The `DEBUG` Level designates fine-grained informational events that are most useful to debug an application.

### ALL

    public static final Level ALL

  The `ALL` has the lowest possible rank and is intended to turn on all logging.

Constructor Detail

### Level

    protected Level(int level,
                    String levelStr,
                    int syslogEquivalent)

  Instantiate a Level object.

Method Detail

### toLevel

    public static Level toLevel(String sArg)

  Convert the string passed as argument to a level. If the conversion fails, then this method returns `DEBUG`.

### toLevel

    public static Level toLevel(int val)

  Convert an integer passed as argument to a level. If the conversion fails, then this method returns `DEBUG`.

### toLevel

    public static Level toLevel(int val,
                                Level defaultLevel)

  Convert an integer passed as argument to a level. If the conversion fails, then this method returns the specified default.

### toLevel

    public static Level toLevel(String sArg,
                                Level defaultLevel)

  Convert the string passed as argument to a level. If the conversion fails, then this method returns the value of `defaultLevel`.

Log4j 1.2.9

Copyright 2000-2002 Apache Software Foundation.